org.apache.ignite.internal.processors.cache.datastructures

## Class CacheDataStructuresManager

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.GridCacheManagerAdapter
  - - org.apache.ignite.internal.processors.cache.datastructures.CacheDataStructuresManager

All Implemented Interfaces:
  GridCacheManager

    public class CacheDataStructuresManager
    extends GridCacheManagerAdapter

### Field Summary

### Fields inherited from class org.apache.ignite.internal.processors.cache.GridCacheManagerAdapter

`cctx, log, starting`

### Constructor Summary

Constructors
Constructor and Description
`CacheDataStructuresManager()`

### Method Summary

Methods
`boolean` `knownType(Object obj)`
`void` `onEntryUpdated(KeyCacheObject key, boolean rmv, boolean keepBinary)` Entry update callback.
`protected void` `onKernalStart0()`
`protected void` `onKernalStop0(boolean cancel)`
`void` `onPartitionEvicted(int part)` Partition evicted callback.
`void` `onReconnected(boolean clusterRestarted)`
`void` `onRemoved(GridCacheSetProxy set)`
`<T> GridCacheQueueProxy<T>` `queue(String name, int cap, boolean colloc, boolean create)`
`<T> GridCacheQueueProxy<T>` `queue0(String name, int cap, boolean colloc, boolean create)`
`void` `removeSetData(IgniteUuid id)`
`<T> IgniteSet<T>` `set(String name, boolean colloc, boolean create)`
`GridConcurrentHashSet<SetItemKey>` `setData(IgniteUuid id)`

### Methods inherited from class org.apache.ignite.internal.processors.cache.GridCacheManagerAdapter

`context, kernalStartInfo, kernalStopInfo, log, onDisconnected, onKernalStart, onKernalStop, printMemoryStats, start, start0, startInfo, stop, stop0, stopInfo, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### CacheDataStructuresManager

    public CacheDataStructuresManager()

### Method Detail

#### onKernalStart0

    protected void onKernalStart0()
                           throws IgniteCheckedException

Overrides:
  `onKernalStart0` in class `GridCacheManagerAdapter`
Throws:
  `IgniteCheckedException` - If failed.

#### onKernalStop0

    protected void onKernalStop0(boolean cancel)

Overrides:
  `onKernalStop0` in class `GridCacheManagerAdapter`
Parameters:
  `cancel` - Cancel flag.

#### onRemoved

    public void onRemoved(GridCacheSetProxy set)

Parameters:
  `set` - Set.

#### onReconnected

    public void onReconnected(boolean clusterRestarted)
                       throws IgniteCheckedException

Parameters:
  `clusterRestarted` - Cluster restarted flag.
Throws:
  `IgniteCheckedException` - If failed.

#### queue

    @Nullable
    public <T> GridCacheQueueProxy<T> queue(String name,
                                            int cap,
                                            boolean colloc,
                                            boolean create)
                                 throws IgniteCheckedException

Parameters:
  `name` - Queue name.
  `cap` - Capacity.
  `colloc` - Collocated flag.
  `create` - Create flag.
Returns:
  Queue header.
Throws:
  `IgniteCheckedException` - If failed.

#### queue0

    @Nullable
    public <T> GridCacheQueueProxy<T> queue0(String name,
                                             int cap,
                                             boolean colloc,
                                             boolean create)
                                  throws IgniteCheckedException

Parameters:
  `name` - Queue name.
  `cap` - Capacity.
  `colloc` - Collocated flag.
  `create` - Create flag.
Returns:
  Queue header.
Throws:
  `IgniteCheckedException` - If failed.

#### onEntryUpdated

    public void onEntryUpdated(KeyCacheObject key,
                      boolean rmv,
                      boolean keepBinary)

Entry update callback.

Parameters:
  `key` - Key.
  `rmv` - `True` if entry was removed.
  `keepBinary` - Keep binary flag.

#### onPartitionEvicted

    public void onPartitionEvicted(int part)

Partition evicted callback.

Parameters:
  `part` - Partition number.

#### set

    @Nullable
    public <T> IgniteSet<T> set(String name,
                                boolean colloc,
                                boolean create)
                     throws IgniteCheckedException

Parameters:
  `name` - Set name.
  `colloc` - Collocated flag.
  `create` - Create flag.
Returns:
  Set.
Throws:
  `IgniteCheckedException` - If failed.

#### knownType

    public boolean knownType(Object obj)

Parameters:
  `obj` - Object.
Returns:
  `True`

#### setData

    @Nullable
    public GridConcurrentHashSet<SetItemKey> setData(IgniteUuid id)

Parameters:
  `id` - Set ID.
Returns:
  Data for given set.

#### removeSetData

    public void removeSetData(IgniteUuid id)
                       throws IgniteCheckedException

Parameters:
  `id` - Set ID.
Throws:
  `IgniteCheckedException` - If failed.

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.0.0
Release Date | : April 30 2017